Announcement: New Knowledge Base

4 June 2020: We are pleased to announce the launch of a new Knowledge Base, Changelogs for Business Security Products, where you can find more details, such as bugfixes or new features, about the most recent releases of our business-related products.

Client protection vs 9.x Version

Does the version of F-secure running on a client computer affect the level of security?

I notice that for both 9.11 and 9.31 the version of the individual modules running are the same (with different build numbers).

Comments

  • MJ-perCompMJ-perComp Posts: 1,098

    Hi,

     

    9.31 has some new features and some fixes. Please refence the release notes for fixed an known problems.

     

    BR

  • If the verson number changes in the new build,then of course there will be some modification or such as with new features updates. It is always better to use with the new release,because in each and every new release many bugs will get fixed

  • Thank you for the responses.  I have read the release notes.  As far as I can tell they only talk about bug fixes and enhancements.

     

    My question remains.

    If Version 9.11 is running 'F-Secure Anti-Virus 9.30 build 17091'

    and Version 9.30 is running 'F-Secure Anti-Virus 9.30 build 17464' are they providing the same protection?

     

    In my book if they have the same version number then  they should be functionally equivalent.

     

    I am asking because it is a bit of work to update everyone to the latest version.  What I have now is running well and a new vesion may actually introduce new bugs.

  • MJ-perCompMJ-perComp Posts: 1,098

    Hi,

    there is generally no need to update from 9.20 to 9.31 unless you face any problems. The protection is the same.

     

    BUT if you think it is a lot of work to update, you are wrong:

    1) import the FSCS931.jar to the policy manager

    2) select the root level on the left, select installtion-tab

    3) click on "upgrade"

    done

    If you are still on PM9 you should upgrade to PM10 first.

     

    BR

    Matthias

     

    jackma
  • thanks again.  You are probably correct.  

    But I have several notebook computers that may not connect to the update server for an extended period of time and some user will inevitably call and have questions if their computer is updating.

  • MJ-perCompMJ-perComp Posts: 1,098

    In that case you should consider migrating to Protection Service for Business. You are done forever after the first installation. Please contact your F-Secure Partner for Details.

     

    BR

This discussion has been closed.